Unit tde41r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE41R_p, DE41R_p;

function tde41r: String;

implementation

function tde41r: String;
var
M,K,IERR :Integer;
H,XN,XK,Y3,Y1,Y2 :Real;
YN :Array [0..1] of Real;
DYN :Array [0..1] of Real;
Y :Array [0..1] of Real;
DY :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
DF :Array [0..9] of Real;
RFN :Array [0..1] of Real;
RF :Array [0..1] of Real;
YP :Array [0..1] of Real;
DYP :Array [0..1] of Real;
label
_200;
begin
Result := '';  {   }
H := 0.01;
M := 2;
XN := 0.0;
XK := 5.0;
YN[0] := 0.0;
YN[1] := 0.0;
DYN[0] := -1.0/9.0;
DYN[1] := -3.0;
Y3 := (Exp(5.0)-Exp(-5.0))/3.0;
Y1 := Y3-7.0*Sin(15.0)/9.0+70.0/9.0;
Y2 := -Y3-Sin(15.0)/3.0-20.0/3.0;
for K:=1 to 2 do
 begin
  DE41R(FDE41R,M,XN,YN,DYN,XK,H,Y,DY,DELTY,DF,RFN,RF,YP,DYP,IERR);
  Result := Result + Format(' %20.16f %20.16f %20.16f %20.16f %20.16f %20.16f ',
 [XK,Y[0],Y[1],H,Y1,Y2]) + #$0D#$0A;
  XK := -5.0;
  Y1 := -Y1;
  Y2 := -Y2;
  H := 0.01;
_200:
 end;
UtRes('tde41r',Result);  {     tde41r.res }
exit;
end;

end.
